Orgs Assistants
Duplicate an Assistant
Duplicate an assistant including its actions, agents, and knowledge links. Integrations are not cloned. When duplicating to a different org, connections, agents, and knowledge links are excluded.
POST
/
orgs
/
{org_id}
/
assistants
/
{assistant_id}
/
duplicate
Duplicate an Assistant
curl --request POST \
--url https://api.useinvent.com/orgs/{org_id}/assistants/{assistant_id}/duplicate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"target_org_id": "<string>",
"include_actions": true,
"include_integrations": true,
"include_agents": true,
"include_knowledge": true
}
'import requests
url = "https://api.useinvent.com/orgs/{org_id}/assistants/{assistant_id}/duplicate"
payload = {
"name": "<string>",
"target_org_id": "<string>",
"include_actions": True,
"include_integrations": True,
"include_agents": True,
"include_knowledge": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
target_org_id: '<string>',
include_actions: true,
include_integrations: true,
include_agents: true,
include_knowledge: true
})
};
fetch('https://api.useinvent.com/orgs/{org_id}/assistants/{assistant_id}/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"enabled": true,
"deleted": true,
"secret_key": "<string>",
"avatar_url": "<string>",
"config": {
"model": "<string>",
"stt": {
"model": "<string>"
},
"tts": {
"model": "<string>",
"voice_id": "<string>"
},
"conversation": {
"enable_memories": true,
"enable_transfer_to_human_tool": true,
"welcome_banner": "<string>",
"suggested_messages": [
"<string>"
],
"auto_intro_message": "<string>",
"enable_end_conversation_tool": true,
"enable_block_contact_tool": true,
"enable_ai_replies": true,
"enable_auto_resolve": true,
"enable_auto_follow_ups": true,
"follow_up_instructions": "<string>",
"enable_auto_csat": true,
"enable_private_chats": true,
"enable_update_contact_tool": true
},
"timezone": "<string>",
"instructions": "<string>"
},
"integrations": [
{
"id": "<string>",
"enabled": true,
"assistant_id": "<string>",
"connection_id": "<string>",
"config": {},
"error": "<string>",
"platform_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"actions": [
{
"id": "<string>",
"enabled": true,
"name": "<string>",
"instructions": "<string>",
"action_id": "<string>",
"assistant_id": "<string>",
"connection_id": "<string>",
"config": {
"input": {},
"definitions": [
{
"path": "<string>",
"definition": {}
}
]
},
"position": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"contact_fields": [
{
"field": {
"id": "<string>",
"table_id": "<string>",
"key": "<string>",
"schema": {
"type": "file",
"name": "<string>",
"description": "<string>",
"optional": true,
"array": true,
"placeholder": "<string>",
"display": {},
"order": 1,
"link": "<string>",
"metadata": {},
"allowed_modes": [],
"broadcast_field": true,
"integration_field": true,
"display_field": true,
"conditions": [
{
"field": "<string>",
"value": "<unknown>"
}
],
"hidden": true,
"picker": {
"type": "google_drive",
"views": [],
"selectable_mime_types": [
"<string>"
]
},
"requires": [
"<string>"
],
"disable_variables": true,
"allowed_types": [
"<string>"
],
"visibility": "PRIVATE"
},
"readonly": true,
"kind": "system"
},
"created_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
Bearer token authentication using your API key
Path Parameters
The ID of the org
The ID of the assistant
Body
application/jsonmultipart/form-data
Response
200 - application/json
Schema for an assistant
The name of the assistant
Whether the assistant is enabled
Whether the assistant has been soft-deleted
The secret key to create session hashes
The URL of the avatar photo
Schema for the configuration of an assistant
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Duplicate an Assistant
